POST Publish course
Publish a course. The course needs a title and description. Publishing an already published course changes nothing and returns changed false.
Publish a course. The course needs a title and description. Publishing an already published course changes nothing and returns changed false.
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
Course UUID
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/courses/{id}/publish"{ "data": { "id": "{id}", "title": "string", "slug": "string", "description": "string", "category": { "id": "{id}", "name": "string" }, "difficulty": "beginner", "duration_minutes": 0, "thumbnail_url": "string", "status": "draft", "statistics": { "enrollment_count": 0, "completion_rate": 0 }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}POST Create module POST
Create a module with no blocks in the specified course. Block content is added through the course-builder block endpoints.
POST Unpublish course POST
Move a published course back to draft. Refused while the course has enrolled or active enrollments. Unpublishing a draft changes nothing and returns changed false.